---
- hosts: local
  connection: local
  become: no
  gather_facts: False
  vars:
    ansible_python_interpreter: /usr/bin/python3
  tasks:
  - name: Deploy VMware Skyline Collector OVA
    vmware_deploy_ovf:
      hostname: vcsa.local
      username: administrator@vsphere.local
      password: VMware123!
      validate_certs: no
      name: VMware-Skyline-Collector
      datacenter: Homelab
      cluster: Cluster
      folder: /Homelab/vm
      datastore: datastore01
      disk_provisioning: thin
      networks: 
        "Network 1": "VM Network"
      ova: /root/ansible-VMware/Skyline-Appliance-3.0.0.0-18775414_OVF10.ova
      allow_duplicates: no
      power_on: yes
      fail_on_spec_warnings: yes
      wait: yes
      wait_for_ip_address: yes
      inject_ovf_env: yes
      properties:
        varoot-password: "VMware123!"
        vami.ip0.VMware_Skyline_Appliance: 192.168.19.49
        vami.netmask0.VMware_Skyline_Appliance: 255.255.255.0
        vami.gateway.VMware_Skyline_Appliance: 192.168.19.1
        vami.DNS.VMware_Skyline_Appliance: 192.168.19.1
        vami.searchpath.VMware_Skyline_Appliance: local
        vami.domain.VMware_Skyline_Appliance: skyline.local
    delegate_to: localhost
